// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnObject.C   Version 1.9
//   LastSCCS    : 1/14/92  15:17:29
//   LastEdit    : "Tue Jan 14 12:34:56 1992"
//   Description : Base class for Meta-Object-Protocol
//   Author      : Andreas Baecker
//   Copyright   : GMD Schloss Birlinghoven

GnObject::GnObject()
{
}

GnObject::~GnObject()
{
}

ostream &GnObject::
DumpOn(ostream &ostr)
{
    return ostr << Class()->Name() << "::" << (void *)this;
}

void *GnObject::
_GetThisPointer()
{
    return (void *)(GnObject *)this;
}

GnClass *GnObject::
Class()
{
    return(class_of);
}

char *GnObject::
GetImplFileName()
{
    return __FILE__;
}

int GnObject::
GetImplFileLine()
{
    return __LINE__;
}

GnObject::
GnObject(class GnDummy &)
{
}

void GnObject::
GetBaseClasses(GnClassInfoList *)
{
}

void GnObject::
GetClassMembers(GnClassMemberList *)
{
}

void *GnObject::
_TypeSafeDownCast(GnClass *c)
{
    if( c == class_of )
	return (void *)this;
    else
	return 0;
}

GnClass *GnObject::class_of =
  new GnClass("GnObject", sizeof(GnObject),
	      GnObject::GetDeclFileName(), GnObject::GetDeclFileLine(),
	      GnObject::GetImplFileName(), GnObject::GetImplFileLine(),
	      (GnBaseClassCollector)(GnObject::GetBaseClasses),
	      (GnClassMemberCollector)(GnObject::GetClassMembers));

