(defun c++-lookup-header-file ()
  (interactive)
  (setq word nil)
  (save-excursion
    (let (beg end)
      (backward-word 1)
      (push-mark nil t)
      (forward-word 1)
      (setq beg (min (point) (mark))
	    end (max (point) (mark)))
      (setq word (car (copy-region-as-kill beg end)))))
  (if word
      (switch-to-buffer (concat word ".h"))))


