// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnISILayout.h   Version 1.1
//   LastSCCS    : 2/25/92  12:52:59
//   LastEdit    : "Mon Feb 17 09:27:41 1992"
//   Description : 
//   Author      : Andreas Genau
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Gnisilayout_h
#define Gnisilayout_h

class GnISILayout : public GnLayout{
    META_DEF_1(GnISILayout,GnLayout);
  public:
    GnISILayout();
    virtual void DoNodeLayout();
    virtual void DoEdgeLayout();
  protected:
    unsigned int ISIDepth(GnViewNode *node);
    unsigned int ISIWidth(GnViewNode *node, unsigned int upper_bound);
    virtual void DoDepthNodeLayout();
    virtual void DoWidthNodeLayout();
};

#endif
