// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnMainWindow.h   Version 1.19
//   LastSCCS    : 1/14/92  15:16:32
//   LastEdit    : "Mon Jan 13 14:03:41 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Gina_Main_Window_H
#define Gina_Main_Window_H

class GnMenuBar;
class GnScrollBar;
class GnDrawingArea;
class GnCommandWidget;
class GnMainWindow;

class GnMainWindowMixin : public GnObject {
    META_DEF_1(GnMainWindowMixin,GnObject);
  protected:
    GnMainWindowMixin(GnMainWindow *p_main_window);
  public:
    // Resources 
    DEF_SET_GET(mainWindowMarginHeight, Dimension);
    DEF_SET_GET(mainWindowMarginWidth, Dimension);
    DEF_SET_GET(showSeparator, Boolean);

    void SetAreas(GnMenuBar *, GnCommandWidget *, GnScrollBar *, GnScrollBar *,
		  GnWidget *);
  private:
    GnMainWindow *main_window;
};

class GnMainWindow : public GnVariableScrolledWindow, public GnMainWindowMixin {
    META_DEF_2(GnMainWindow,GnVariableScrolledWindow,GnMainWindowMixin);
  public:
    GnMainWindow();
  protected:
    virtual Widget create_widget(GnWidget *, char *);
};

class GnVariableMainWindow : public GnMainWindow  {
    META_DEF_1(GnVariableMainWindow,GnMainWindow);
  public:
    GnVariableMainWindow();
};

class GnStaticMainWindow : public GnStaticScrolledWindow,
                           public GnMainWindowMixin {
    META_DEF_2(GnStaticMainWindow,GnStaticScrolledWindow,GnMainWindowMixin);
  public:
    GnStaticMainWindow();
  protected:
    virtual Widget create_widget(GnWidget *, char *);
};

#endif Gina_Main_Window_H
