// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnMenuTopic.h   Version 1.11
//   LastSCCS    : 1/23/92  12:32:23
//   LastEdit    : "Mon Jan 20 16:58:51 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Gina_Menu_Topic_H
#define Gina_Menu_Topic_H

class GnMenuEntry;
class GnMainMenu;
class GnCascadeButton;

class GnMenuTopic : public GnPulldownMenu {
    META_DEF_1(GnMenuTopic,GnPulldownMenu);
  public:
    GnMenuTopic(char *topic_name, char *topic_label);
    char *get_name() { return name; }
  protected:
    char *name;
    char *label;
    GnCascadeButton *csc_btn;
    virtual void before_create(GnWidget *);
    virtual void after_create();
};

DefGenericListWithIterator(GnMenuTopicList,GnMenuTopic,GnMenuTopicListIterator);

#endif Gina_Menu_Topic_H
