/* @(#)GnMessageBox.h	1.7 1/29/91 */

#ifndef Gina_MessageBox_H
#define Gina_MessageBox_H


class GnMessageBox : public GnBulletinBoard {
    META_DEF_1(GnMessageBox,GnBulletinBoard);
  public:
    GnMessageBox();

    /* Resources */
    DEF_SET_GET_I(cancelLabelString, XmString);
    DEF_SET_GET_I(defaultButtonType, unsigned char);
    DEF_SET_GET_I(dialogType, unsigned char);
    DEF_SET_GET_I(helpLabelString, XmString);
    DEF_SET_GET_I(messageAlignment, unsigned char);
    DEF_SET_GET_I(messageString, XmString);
    DEF_SET_GET_I(minimizeButtons, Boolean);
    DEF_SET_GET_I(okLabelString, XmString);
    
    /* Callbacks */
    CALLBACK_DEF(cancelCallback);
    CALLBACK_DEF(okCallback);

    GnPushButton *getR_helpButton();
    GnPushButton *getR_okButton();

  protected:
    Widget create_widget (GnWidget *, char *);

    GnPushButton *help_button, *ok_button;
};

#endif Gina_MessageBox_H
