// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnMessageD.h   Version 1.15
//   LastSCCS    : 1/14/92  15:16:30
//   LastEdit    : "Mon Jan 13 12:46:11 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Gina_MessageDialog_H
#define Gina_MessageDialog_H

class GnMessageDialog : public GnMessageBox, public GnDialogMixin {
    META_DEF_2(GnMessageDialog,GnMessageBox,GnDialogMixin);
  public:
    GnMessageDialog();
  public: // From base class
    virtual Boolean preferred_managed()
	{ return False; }
  public:
    DialogResult alert_message_dialog(GnWidget &parent,
				      char * message, char * title,
				      char * dialog_name,
				      unsigned char default_button,
				      unsigned char dialog_style,
				      DialogResult wm_closed_result,
				      Boolean has_ok_button = True,
				      Boolean has_cancel_button = True,
				      Boolean has_help_button = True,
				      DialogResult ok_result = OK,
				      DialogResult cancel_result = Cancel,
				      DialogResult help_result = Help);
    
  protected:
    virtual Widget create_widget (GnWidget *, char *);
    virtual void after_create();
};

DialogResult message_dialog(GnWidget &parent,
			    char * message, char * title = "Message !",
			    unsigned char default_button =
			      XmDIALOG_OK_BUTTON,
			    unsigned char dialog_style =
			      XmDIALOG_FULL_APPLICATION_MODAL);

#endif Gina_MessageDialog_H

