/* @(#)GnScale.h	1.4 1/29/91 */

#ifndef Gina_Scale_H
#define Gina_Scale_H


class GnScale : public GnManager {
    META_DEF_1(GnScale,GnManager);
  public:
    GnScale() {}

    /* Resources: */

    DEF_SET_GET_I(decimalPoints, short);
    DEF_FONTLIST(fontList);
    DEF_SET_GET_I(highlightOnEnter, Boolean);
    DEF_SET_GET_I(highlightThickness, short);
    DEF_SET_GET_I(maximum, int);
    DEF_SET_GET_I(minimum, int);
    DEF_SET_GET_I(orientation, unsigned char);
    DEF_SET_GET_I(processingDirection, unsigned char);
    DEF_SET_GET_I(scaleHeight, Dimension);
    DEF_SET_GET_I(scaleWidth, Dimension);
    DEF_SET_GET_I(showValue, Boolean);
    DEF_XMSTRING(titleString);
    DEF_SET_GET_I(traversalOn, Boolean);
    DEF_SET_GET_I(value, int);

    /* Callbacks */
    CALLBACK_DEF(dragCallback);
    CALLBACK_DEF(valueChangedCallback);

  protected:
    Widget create_widget(GnWidget *, char *);
};

#endif Gina_Scale_H
