/* @(#)GnScrollBar.h	1.4 1/29/91 */

#ifndef Gina_ScrollBar_H
#define Gina_ScrollBar_H


class GnScrollBar : public GnPrimitive {
    META_DEF_1(GnScrollBar,GnPrimitive);
  public:
    GnScrollBar() {}

    /* Accessors: */
    void set_value( int );
    int get_value();

    /* Callbacks */
    CALLBACK_DEF(decrementCallback);
    CALLBACK_DEF(dragCallback);
    CALLBACK_DEF(incrementCallback);
    CALLBACK_DEF(pageDecrementCallback);
    CALLBACK_DEF(pageIncrementCallback);
    CALLBACK_DEF(toBottomCallback);
    CALLBACK_DEF(toTopCallback);
    CALLBACK_DEF(valueChangedCallback);

    /* Resources */
    DEF_SET_GET_I(increment, int);
    DEF_SET_GET_I(initialDelay, int);
    DEF_SET_GET_I(maximum, int);
    DEF_SET_GET_I(minimum, int);
    DEF_SET_GET_I(orientation, unsigned char);
    DEF_SET_GET_I(pageIncrement, int);
    DEF_SET_GET_I(processingDirection, unsigned char);
    DEF_SET_GET_I(repeatDelay, int);
    DEF_SET_GET_I(showArrows, Boolean);
    DEF_SET_GET_I(sliderSize, int);
    DEF_SET_GET_I(value, int);

  protected:
    Widget create_widget(GnWidget *, char *);
};

#endif Gina_ScrollBar_H
