// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnMenu.C   Version 1.9
//   LastSCCS    : 1/23/92  12:33:58
//   LastEdit    : "Mon Jan 20 17:07:01 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

META_IMPL_1(GnMenu,GnObject,);

GnMenu::
GnMenu(GnWidget *p_menu_widget)
{
    menu_widget = p_menu_widget;
}

void GnMenu::add(GnMenuEntry *entry)
{
    entries.Append(entry);
    entry->GetEntryWidget()->create(menu_widget, entry->get_name());
}

void GnMenu::remove(GnMenuEntry *entry)
{
    entries.Remove(entry);
    entry->GetEntryWidget()->destroy();
}

void GnMenu::
insert(GnMenuEntry *entry, GnMenuEntry *before)
{
    for( GnMenuEntryListIterator it(entries); ! it.Off(); it.Forth() )
	if( it.Item() == before ) {
	    it.PutPrevious(entry);
	    return;
	}
    entries.Append(entry);
    entry->GetEntryWidget()->create(menu_widget, entry->get_name());
}
