// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnFramework.h   Version 1.12
//   LastSCCS    : 2/26/92  15:49:10
//   LastEdit    : "Wed Nov 13 10:50:31 1991"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef _GnFramework_H_
#define _GnFramework_H_

// Abstract Framework Classes

#include <Gina/GnViewObject.h>
#include <Gina/GnCommand.h>

// Framework

#include <Gina/GnView.h>
#include <Gina/GnDocument.h>
#include <Gina/GnApplication.h>

// More View Objects

#include <Gina/GnDirectManipulationObject.h>
#include <Gina/GnRectangleO.h>
#include <Gina/GnArcO.h>
#include <Gina/GnEllipseO.h>
#include <Gina/GnViewEdge.h>
#include <Gina/GnViewNode.h>

// Commands

#include <Gina/GnMouseDownCommand.h>
#include <Gina/GnObjectSelector.h>
#include <Gina/GnObjectMover.h>
#include <Gina/GnObjectResizer.h>

// Menu Stuff

#include <Gina/GnItem.h>
#include <Gina/GnMenuEntry.h>
#include <Gina/GnMenu.h>
#include <Gina/GnPulldownMenu.h>

#include <Gina/GnMenuTopic.h>
#include <Gina/GnMainMenu.h>

// Layouters

#include <Gina/GnLayout.h>
#include <Gina/GnCircleLayout.h>
#include <Gina/GnISILayout.h>

// Additional Widgets

#include <Gina/GnHistoryScroller.h>
#include <Gina/GnBasicDocumentS.h>
#include <Gina/GnDocumentShell.h>
#include <Gina/GnDocumentShellWS.h>
#include <Gina/GnToolDialogBox.h>
#include <Gina/GnTopLevelToolDialogBox.h>
#include <Gina/GnGraphView.h>

#endif _GnFramework_H_
