/* @(#)GnLabel.h	1.14 7/29/91 */

#ifndef Gina_Label_H
#define Gina_Label_H


class GnLabel : public GnPrimitive {
    META_DEF_1(GnLabel,GnPrimitive);
  public:
    GnLabel() {};
    GnLabel(char *s) { setR_labelString(s); }
    GnLabel(XmString s) { setR_labelString(s); }

    /* Accessors */
    char *get_label_string ();

    /* Resources */

    DEF_SET_GET_I(accelerator, char *);
    DEF_XMSTRING(acceleratorText);
    DEF_SET_GET_I(alignment, unsigned char);
    DEF_FONTLIST(fontList);
    DEF_PIXMAP(labelInsensitivePixmap);
    DEF_PIXMAP(labelPixmap);
    DEF_XMSTRING(labelString);
    DEF_SET_GET_I(labelType, unsigned char);
    DEF_SET_GET_I(marginBottom, short);
    DEF_SET_GET_I(marginHeight, short);
    DEF_SET_GET_I(marginLeft, short);
    DEF_SET_GET_I(marginRight, short);
    DEF_SET_GET_I(marginTop, short);
    DEF_SET_GET_I(marginWidth, short);
    DEF_SET_GET_I(mnemonic, char);
    DEF_SET_GET_I(recomputeSize, Boolean);
    DEF_SET_GET_I(stringDirection, XmStringDirection);

  protected:
    /* Creators */
    Widget create_widget (GnWidget *, char *);
};

#endif Gina_Label_H
