// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnObject.h   Version 1.22
//   LastSCCS    : 1/23/92  12:32:24
//   LastEdit    : "Mon Jan 20 10:36:58 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Gina_Object_H
#define Gina_Object_H

class GnClass;

class GnObject : public GnContracts {
  public:
    GnObject(class GnDummy &d );
    static GnClass *ClassOf()
        { return(class_of); }
    virtual GnClass *Class();
    static int KindOf(GnObject *obj)
        { return obj->Class() == class_of; }
    static int KindOf(GnObject &obj)
        { return obj.Class() == class_of; }
  public:
    void GetBaseClasses(GnClassInfoList *);
    void GetClassMembers(GnClassMemberList *);
    static char *GetDeclFileName()
        { return __FILE__; }
    static int GetDeclFileLine()
        { return __LINE__; }
    static char *GetImplFileName();
    static int GetImplFileLine();
    friend class GnClass *TypeOf(GnObject *)
        { return GnObject::class_of; }
  public:
    virtual void *_TypeSafeDownCast(GnClass *);
    virtual void *_GetThisPointer();
    static GnObject *TypeSafeDownCast(GnObject *o)
        { return (GnObject *)o->_TypeSafeDownCast(class_of); }
    static GnObject &TypeSafeDownCast(GnObject &o)
        { return *(GnObject *)o._TypeSafeDownCast(class_of); }
  protected:
    static GnClass *class_of;
  public:
    GnObject();
    ~GnObject();
    virtual ostream &DumpOn(ostream &ostr);
};

#endif Gina_Object_H
