// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnRadioGroup.h   Version 1.14
//   LastSCCS    : 1/14/92  15:16:44
//   LastEdit    : "Fri Jan 10 10:15:04 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Gina_Radio_Group_H
#define Gina_Radio_Group_H


class GnRadioGroup : public GnSelectionFrame, public GnSingleSelection {
    META_DEF_2(GnRadioGroup,GnSelectionFrame,GnSingleSelection);
  public:
    // Constructors
    GnRadioGroup(Boolean p_call_immediately = True);
    virtual void SetValues();
  protected:
    // True if each item has it's own widget 
    virtual Boolean HasWidgets()
	{ return True; }

    // Creates an item of class GnToggleSelectionItem
    virtual GnSelectionItem *create_item(GnPresentable *, Boolean, Boolean);
    virtual void SelectItemWidget(GnSelectionItem *, Boolean, Boolean);
    virtual void SensitiveItemWidget(GnSelectionItem *, Boolean);
    // Creates a toggle button for the item (also attaches callbacks)
    virtual void VisualizeItem(GnSelectionItem *);

    void change_value(void *client_data, caddr_t call_data);
    
    virtual void before_create(GnWidget *);
    virtual void after_create();
    virtual Widget create_widget(GnWidget *, char *);
    virtual GnWidget *get_group_widget();
};

class GnPixmapRadioGroup : public GnRadioGroup {
    META_DEF_1(GnPixmapRadioGroup,GnRadioGroup);
  public:
    GnPixmapRadioGroup(Boolean p_call_immediately = True);
  protected:
    // Creates a toggle button for the item (also attaches callbacks)
    virtual void VisualizeItem(GnSelectionItem *);
};    
    
#endif Gina_Radio_Group_H
