/* @(#)GnViewShell.h	1.8 7/29/91 */

#ifndef Gina_Shell_H
#define Gina_Shell_H

class GnCallback;


class GnShell : public GnWidget {
     META_DEF_1(GnShell,GnWidget);
  public:
    /* Construktors: */
    GnShell ();

    /* Creators: */
    void create ( GnWidget *parent, char * title, WidgetClass, char * name ="GnShell" );

    /* Accessors: */
    void set_title ( char * );
    GnViewList get_views () { return(views); };

    /* Methods: */
    void initialize_views ();
    void pop_up ();
    void pop_down ();
    GnShell *enclosing_shell ();

    /* Resources (Shell): */
    void set_popdown_callback ( void *method, void *object, void *client_data =NULL );
    void set_popup_callback ( void *method, void *object, void *client_data =NULL );

  protected:
    GnViewList views;
    GnCallback *popup_callback;
    GnCallback *popdown_callback;

  private:
    char * title;
};

#endif Gina_Shell_H
