// This may look like C code, but it is really -*- C++ -*-

//   Module      : GnLayout.C   Version 1.2
//   LastSCCS    : 2/26/92  15:45:10
//   LastEdit    : "Mon Feb 17 09:27:41 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

META_IMPL_1(GnLayout,GnObject,);

GnLayout::
GnLayout()
{
    m_nodes = 0;
    m_edges = 0;
    m_node_width = 10;
    m_node_height = 10;
    m_vertical_distance = 10;
    m_horizontal_distance = 10;
}

void GnLayout::
DoNodeLayout()
{
    Gina_Debug_NL ("GraphView :: SquareLayout");
    GnViewNode *item;
    LIST_ITERATE(m_nodes,GnSelectionItemListIterator,it){
	item = GnViewNode::TypeSafeDownCast(it.Item());
	m_node_width = MAX(item->get_width(), m_node_width);
	m_node_height = MAX(item->get_height(), m_node_height);
    }
    it.Start();
    for (int i = 0; i * i <=  m_nodes->Length(); i++ )
	for (int k = 0; k * k< m_nodes->Length(); k++ )
	    if (!it.Off()){
		GnViewNode::TypeSafeDownCast(it.Item())->
		    move(i*(m_node_width + m_horizontal_distance),
			   k*(m_node_height+  m_vertical_distance), False);
		it.Forth();
	    }
}

void GnLayout::
DoEdgeLayout()
{
    int x, y;
    LIST_ITERATE(m_edges,GnViewEdgeListIterator,it){
	it.Item()->GetSource()->WhereEdgeMayBegin(-1, &x, &y);
	it.Item()->SetBeginCoordinates(x, y);
	it.Item()->GetDestination()->WhereEdgeMayEnd(-1, &x, &y);
	it.Item()->SetEndCoordinates(x, y);
    }
}
